
QGIS Application - Bug report #9050

Cannot add a scalebar in meters of project is wgs84

2013-11-11 05:57 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17702

Description

Steps to reproduce:

1. Create a new project (projection epsg:4326)

2. Insert the attached shapefile (adm1_states_regions.zip)

3. Create a new composer window

4. Insert a map canvas item

5. Insert a scale bar item

6. First brokenness: scale bar simply shows 0 (default sane auto-fill value broken)

7. In the Units tab, make sure units is set meters, then put 1,000 has value for map unit per bar unit

8. In the segments tab, enter 1 for the size unit (which should mean that one segment will represent one unit, which represents one

kilometer)

9. Second brokenness: scale bar doesn't size up to the defined bar unit / map unit values

Setting to blocker and filing this into the projection support category as my gut feeling tells me this has something to do with recent

projection-related commits.

History

#1 - 2013-11-12 03:18 PM - Giovanni Manghi

- Status changed from Open to Feedback

I'm not sure I can confirm this issue,  at least how it was described.

What I see is that if the project is in wgs84, then I can get a right scalebar only if I choose map units, so degrees.

If I choose the scalebar in meters or feet I cannot get a scalebar with tight values.

This on the latest master.

#2 - 2013-11-12 06:51 PM - Mathieu Pellerin - nIRV

- Priority changed from Severe/Regression to High

So I was wrong in thinking this is a regression. The same issue is visible on QGIS 2.0. I just never ran into it as I usually work in a meter-based projection

whereas I had to produce a WGS84-based map last week.

Moving forward, there's a broken behavior and an issue n the above steps:

1/ Adding a scale bar item linked to a map with a degree-based projection doesn't offer useful values (while it does linking to a meter-based map); 
2/ More importantly, setting the scale bar to meter is simply broken (under QGIS 2.0, and current master).

#3 - 2013-11-13 12:44 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Category changed from Projection Support to Map Composer/Printing

- Subject changed from qgis composer scale bar broken under qgis master to Cannot add a scalebar in meters of project is wgs84

#4 - 2013-11-13 03:50 AM - Jukka Rahkonen

Hi,

In WGS84 scale in meters is different in N/S and E/W directions except on top of the equator line. Would you like to see the metric scale bar to show the

E/W scale even it could be very badly misleading for N/S direction?

#5 - 2013-11-16 12:38 PM - jtornero -

Hello All,

maybe we could put together this issue and what I suggest in #9050 and also in PR https://github.com/qgis/QGIS/pull/995

Best regards,

Jorge Tornero

#6 - 2014-01-26 04:40 PM - Antonio Locandro

This kind of behaviour is available in other COTS software, I don't know if people actually pay attention that it could be misleading, but in my job we usually

have some maps in WGS84 data and scale bars in NM

#7 - 2014-01-26 11:20 PM - Paolo Cavallini

- Status changed from Open to Feedback

Isn't this fixed in master?

#8 - 2014-01-26 11:23 PM - Mathieu Pellerin - nIRV

- Status changed from Feedback to Closed

I'll close this issue as it's implemented in master.

However, the implementation is currently somewhat confusing as it only works when on-the-fly reprojection is activated. If it's not activated and your not

using a meter-based projection, the scale item offers meter unit but it'll be broken.

Files

adm1_states_regions.zip.zip 852 KB 2013-11-11 Mathieu Pellerin - nIRV
